RubyGems Navigation menu

template_class 1.1.0

In most cases Ruby doesn't need templated classes, nor any other system of generics, because it isn't statically type checked. However, sometimes we need to automatically generate multiple similar classes, either because of poor design or because of external necessities. For example, to define a GraphQL schema with GraphQL Ruby (https://graphql-ruby.org/) we need to define a distinct class for each type. Since GraphQL is statically type checked but doesn't provide generics, if we need a set of similar but distinct types we're left to define them one by one.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.1.0 - August 31, 2023 (10 KB)
  2. 1.0.0 - April 07, 2023 (10 KB)

Runtime Dependencies (1):

activesupport ~> 7.0.0

Owners:

Pushed by:

Authors:

  • Moku S.r.l., Riccardo Agatea

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 820

For this version 419

License:

MIT

Required Ruby Version: >= 3.0.0

Links: